summaryrefslogtreecommitdiff
path: root/Libraries/LibM
diff options
context:
space:
mode:
authorAndreas Kling <awesomekling@gmail.com>2019-07-21 21:38:30 +0200
committerAndreas Kling <awesomekling@gmail.com>2019-07-21 21:38:30 +0200
commit0ef13e60b01975f23b9597f378704d3e19644ad5 (patch)
tree219e09353f9f3780e71f908526db4a685e8a3b34 /Libraries/LibM
parentc7ea94697ed983f4fb300ee6a7d19cdd13c81169 (diff)
downloadserenity-0ef13e60b01975f23b9597f378704d3e19644ad5.zip
Libraries: Fix wrong paths to "Root" in the various install.sh scripts.
We were installing libraries into /Libraries/Root, rather than in /Root. This made the ports system behave rather unpredictable, since I had old versions of things in /Root and new versions of things in /Libraries/Root.
Diffstat (limited to 'Libraries/LibM')
-rwxr-xr-xLibraries/LibM/install.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/Libraries/LibM/install.sh b/Libraries/LibM/install.sh
index 83c8f6e632..b74cecdd2c 100755
--- a/Libraries/LibM/install.sh
+++ b/Libraries/LibM/install.sh
@@ -1,6 +1,9 @@
#!/bin/bash
-mkdir -p ../Root/usr/include/sys/
-mkdir -p ../Root/usr/lib/
-cp *.h ../Root/usr/include/
-cp libm.a ../Root/usr/lib/
+set -e
+SERENITY_ROOT=../../
+
+mkdir -p $SERENITY_ROOT/Root/usr/include/sys/
+mkdir -p $SERENITY_ROOT/Root/usr/lib/
+cp *.h $SERENITY_ROOT/Root/usr/include/
+cp libm.a $SERENITY_ROOT/Root/usr/lib/